Draft Layer/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Per un Draft LayerContainer queste opzioni aggiuntive sono disponibili nel menu contestuale Tree_view:")
(Created page with "* {{MenuCommand|16px Unisci livelli duplicati}}: unisce tutti i livelli con la stessa etichetta di base. : L'etichetta di base di un livello è la sua {{PropertyData|Label}} privata delle cifre finali e degli spazi. Tutti i livelli con la stessa etichetta di base vengono uniti in un singolo livello con {{PropertyData|Label}} impostato su quell'etichetta di base. * {{MenuCommand|16px Aggiungi nuovo livello}}: aggiunge...")
Line 45: Line 45:
Per un Draft LayerContainer queste opzioni aggiuntive sono disponibili nel menu contestuale [[Tree_view/it|Tree_view]]:
Per un Draft LayerContainer queste opzioni aggiuntive sono disponibili nel menu contestuale [[Tree_view/it|Tree_view]]:


* {{MenuCommand|[[Image:Draft_Layer.svg|16px]] Merge layer duplicates}}: merges all layers with the same base label.
* {{MenuCommand|[[Image:Draft_Layer.svg|16px]] Unisci livelli duplicati}}: unisce tutti i livelli con la stessa etichetta di base.
: The base label of a layer is its {{PropertyData|Label}} stripped of trailing digits and spaces. All layers with the same base label are merged into a single layer with the {{PropertyData|Label}} set to that base label.
: L'etichetta di base di un livello è la sua {{PropertyData|Label}} privata delle cifre finali e degli spazi. Tutti i livelli con la stessa etichetta di base vengono uniti in un singolo livello con {{PropertyData|Label}} impostato su quell'etichetta di base.
* {{MenuCommand|[[Image:Draft_NewLayer.svg|16px]] Add new layer}}: adds a new layer to the current document.
* {{MenuCommand|[[Image:Draft_NewLayer.svg|16px]] Aggiungi nuovo livello}}: aggiunge un nuovo livello al documento corrente.


=== Layer options ===
=== Layer options ===

Revision as of 18:40, 29 September 2023

Livello

Posizione nel menu
Draft → Utilità → Livello
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Nessuno

Descrizione

Il comando Draft Livello crea un livello Draft (Layer). Un livello è un tipo speciale di gruppo con un numero di proprietà visive. Queste proprietà e qualsiasi modifica apportata ad esse vengono propagate agli oggetti posizionati all'interno del livello. I livelli stessi vengono inseriti in un altro gruppo speciale: Draft LayerContainer.

Utilizzo

  1. Esistono diversi modi per richiamare il comando:
    • Premere il pulsante Draft Livello.
    • Selezionare l'opzione Utilities → Livello dal menu.
    • Se il contenitore del livello esiste già: fare clic con il tasto destro del mouse nella Vista ad albero e selezionare l'opzione Aggiungi nuovo livello dal menu contestuale .
  2. Se non esiste, viene creato prima il contenitore del livello.
  3. Viene creato un livello e inserito nel contenitore del livello.
  4. Facoltativamente modificare le proprietà del livello.
  5. Facoltativamente, inserire gli oggetti nel livello trascinandoli sul livello nella Vista ad albero. Gli oggetti possono anche essere inseriti in un livello modificando la proprietà DatiGroup del livello.
  6. Facoltativamente attivare il livello.

Menu contestuale

Opzioni del contenitore di livelli

Per un Draft LayerContainer queste opzioni aggiuntive sono disponibili nel menu contestuale Tree_view:

  • Unisci livelli duplicati: unisce tutti i livelli con la stessa etichetta di base.
L'etichetta di base di un livello è la sua DatiLabel privata delle cifre finali e degli spazi. Tutti i livelli con la stessa etichetta di base vengono uniti in un singolo livello con DatiLabel impostato su quell'etichetta di base.
  • Aggiungi nuovo livello: aggiunge un nuovo livello al documento corrente.

Layer options

For a Draft Layer these additional options are available in the Tree view context menu:

Drag and drop behavior

introduced in version 0.21

If you drop an object from a Std Group, or a group-like object such as an Arch BuildingPart, on a layer in the Tree view, it is not removed from the group, and vice versa. To remove an object from a layer it must be dropped on another layer or on the document node. There is no need to hold down the Ctrl key when dragging from or dropping on a layer.

Notes

Proprietà

See also: Property editor.

A Draft Layer object is derived from an App FeaturePython object and inherits all its properties. It also has the following additional properties:

Data

Layer

  • DatiGroup: specifica gli elementi che fanno parte del gruppo.
  • Proprietà visive che possono essere modificate e propagate agli oggetti: VistaStile di disegno, VistaColore della linea, VistaLarghezza della linea, VistaColore della forma, VistaTrasparenza, e VistaVisibilità.

View

Layer

The properties in this section are applied to objects that are put inside the layer. And any changes to these properties are propagated to them. For two properties, VistaLine Color and VistaShape Color, this behavior is optional.

  • VistaDraw Style (Enumeration): specifies the draw style of the layer: Solid, Dashed, Dotted or Dashdot
  • VistaLine Color (Color): specifies the line color of the layer.
  • VistaLine Width (Float): specifies the line width of the layer.
  • VistaOverride Line Color Children (Bool): specifies if changes to the VistaLine Color of the layer are propagated to the objects inside the layer.
  • VistaOverride Shape Color Children (Bool): specifies if changes to the VistaShape Color of the layer are propagated to the objects inside the layer.
  • VistaShape Color (Color): specifies the shape color of the layer.
  • VistaTransparency (Percent): specifies the transparency of the layer.

Print

  • VistaLine Print Color (Color): specifies the line print color of the layer.
  • VistaUse Print Color (Bool): specifies if the VistaLine Print Color of the layer is used when a TechDraw DraftView is created from the objects inside the layer.

Script

Per aggiungere o rimuovere oggetti dallo strato, sovrascrivere semplicemente il suo attributo Group.

import FreeCAD as App
import Draft

doc = App.newDocument()

layer = Draft.make_layer(line_color=(1.0, 0.0, 0.0, 0.0),
                         shape_color=(1.0, 1.0, 0.0, 0.0))

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)
layer.Group = [polygon1, polygon2, polygon3]

doc.recompute()